Page MenuHomePhabricator

Revise how users can access the sideloading-only version of the Offline Library
Closed, ResolvedPublic

Description

User story

As a reader familiar with ZIM files or with a vested interest in using the Wikipedia offline, I want to be able to enable the feature in my Wikipedia app so I can do my online and offline reading in one place.

Or conversely, 'As a reader uninterested in accessing large-files offline, I want to continue using the Wikipedia app without being distracted by the noise of seeing an unused like the Offline Library so prominently"

Proposed solution

Create a Setting in the app to give enable the Offline Library feature.
When enabled, the 'Offline Library' menu item becomes visible in the feed overflow.

Initially no 'Offline library' in overflow
Settings with feature enabled
Overflow shown with Yellow50 colored dot to hint at the new menu item
see T185208
Overflow opened with Offline Library menu item

Notes on design:

  • Settings screen - update the header section from "Storage and syncing" to "Syncing and offline reading"
  • Proposed new setting text:
    • Title = Enable “Offline Library”
    • Caption = Access Wikipedia article packs (shown as ‘ZIM’ files) that have been downloaded to the device for reading when you’re offline. Find out more <-- this links to an external web page with more info about the feature

QA steps

  1. Open Wikipedia app where there is initially *no* reference to the Offline Library in the Explore feed or in the overflow menu.
  2. Go to the app's Settings and toggle on the "Offline Library" feature
  3. Give permissions for the app to view files in the device in the dialog that appears (if user says no, the toggle in step 1 will be turned off, since the Offline feature does not work if permission is denied)
  4. Return to the Explore feed where the overflow menu should now have the "Offline Library" menu option visible.
  5. Tap on the Offline Library menu item and check that a read-only version of the 'Offline Library' appears.
  6. Return to Settings and toggle off the "Offline Library" feature. Confirm that the menu option should once again be hidden.

Details

Related Gerrit Patches:
apps/android/wikipedia : masterMake Offline Library enableable via Settings.

Event Timeline

RHo created this task.Oct 26 2017, 2:41 PM
RHo updated the task description. (Show Details)Oct 27 2017, 2:58 PM

Change 387652 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Make Offline Library enableable via Settings.

https://gerrit.wikimedia.org/r/387652

Change 387652 merged by jenkins-bot:
[apps/android/wikipedia@master] Make Offline Library enableable via Settings.

https://gerrit.wikimedia.org/r/387652

It's good to not nag users with an option they never prefer to use but I don't think it would be a nice to not promote it at all. IOW, it might be good to keep "Offline Library" feature turned off by default but I don't think it would be nice to not promote it at all when it's introduced for the first time.

I think it would be nice to show the 'Introducing Offline Library' card (possibly with some modifications) when the feature is first available on the app and let the users decide whether to turn it on or off. They're not gonna get frustrated just because we show them a card about a new feature, which they could dismiss if they wish!

RHo added a comment.Nov 13 2017, 12:41 PM

Hey @Kaartic - per my comment on T179067#3754472 - since we are initially introducing this as a side-loading only feature for a specific audience already with ZIM files, it is intentionally not being promoted here.

Essentially we do not wish to promote a feature that is incomplete and not useful for the majority of our app users (in the sense that this sideloading version is only an easter egg for existing Kiwix users), since this may ruin the first impression of the feature when we *do* release it as a full feature at a later stage.

RHo updated the task description. (Show Details)Jan 18 2018, 12:13 PM

hey @Dbrant - I've created a new ticket for the yellow50 dot indicator T185208 so that we can proceed with rollout for now, sending to QA.

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on v2.7.224-alpha-2018-01-26

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM